#ifndef BRD_HEADER
#define BRD_HEADER

#ifdef STM32F410Rx
// nucleo 410R
#define BRD_N410
#define BRD_F4
#include "brd_n410.h"

#elif defined STM32F411xE
// nucleo 411R
#define BRD_N411
#define BRD_F4
#include "brd_n411.h"

#elif defined STM32F401xE
// nucleo 401R
#define BRD_N401
#define BRD_F4
#include "brd_n401.h"

#elif defined STM32G491xx
// nucleo 491
#define BRD_N491
#define BRD_G4
#include "brd_g491.h"

#elif defined STM32F407xx
// discovery 407
#define BRD_F4DISC
#define BRD_F4
#include "brd_f4disc.h"

#elif defined STM32F401xC
// DOA-F4
#define BRD_DOAF4
#define BRD_F4
#include "brd_doaf4.h"

#elif defined STM32L433xx
// nucleo L433
#define BRD_L433
#define BRD_L4
#include "brd_l433.h"

#endif


extern unsigned int brd_leds;
extern unsigned int brd_btns;
extern unsigned int brd_buttons;
extern int brd_btn_active_state;
extern char *brd_stdio;

extern void brd_type_init();
extern void brd_init();

extern void brd_led_on(enum brd_led led);
extern void brd_led_off(enum brd_led led);
extern void brd_led_toggle(enum brd_led led);
extern void brd_led_set(enum brd_led led, int on);
extern int  brd_led_get(enum brd_led led);
extern uint32_t brd_led_pwm(float power);

extern void brd_sample_buttons();
extern unsigned int brd_button(enum brd_btn btn);
extern int brd_button_pressed(enum brd_btn btn);

enum brd_lmode_t {
	BRD_LMODE_NONE= 0,
	BRD_LMODE_LED= 1,
	BRD_LMODE_PWM= 2
};

#endif /* BRD_HEADER */
